Ambient Content Retrieval
Get Session Transcript
Retrieve conversation transcript from completed Ambient session
GET
/
api
/
v1
/
ambient
/
session
/
{ambient_session_id}
/
transcript
cURL
curl --request GET \
--url https://sdp.suki.ai/api/v1/ambient/session/<ambient_session_id>/transcript \
--header 'sdp_suki_token: <sdp_suki_token>' \
--header 'sdp_provider_id: <sdp_provider_id>'import requests
url = "https://sdp.suki.ai/api/v1/ambient/session/{ambient_session_id}/transcript"
headers = {"sdp_suki_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {sdp_suki_token: '<api-key>'}};
fetch('https://sdp.suki.ai/api/v1/ambient/session/{ambient_session_id}/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"final_transcript": [
{
"end_offset": {
"hours": 0,
"minutes": 6,
"nanos": 80000000,
"seconds": 42
},
"end_time": "2024-12-04T09:40:48.792948332Z",
"lang_id": "en",
"recording_id": "c9d59aa8-cd48-4f5a-be81-5d0c9d2a5885",
"start_offset": {
"hours": 0,
"minutes": 6,
"nanos": 80000000,
"seconds": 42
},
"start_time": "2024-12-04T09:40:42.393948332Z",
"transcript": "The patient has shown an allergy to pollen",
"transcript_id": "01JE8GP4RTHH0KDEGRSTRVPMGH"
}
]
}{
"code": 400,
"message": "invalid request"
}{
"code": 401,
"message": "invalid token"
}{
"code": 404,
"message": "not found"
}{
"code": 500,
"message": "internal server error"
}Use this endpoint to get the full for a specified after it has completed.
For a full list of language codes and their corresponding languages, refer to the Language code reference section.
Updated:The response will now include the new
lang_id field within the payload. The lang_id field indicates the language in which the transcript was sent.Code examples
- Python
- TypeScript
import requests
ambient_session_id = "123dfg-456dfg-789dfg-012dfg"
url = f"https://sdp.suki-stage.com/api/v1/ambient/session/{ambient_session_id}/transcript"
headers = {
"sdp_suki_token": "<sdp_suki_token>",
"sdp_provider_id": "<sdp_provider_id>"
}
response = requests.get(url, headers=headers)
if response.status_code == 200:
transcript_data = response.json()
print("Transcript:")
for transcript in transcript_data.get("final_transcript", []):
print(f"Transcript ID: {transcript.get('transcript_id')}")
print(f"Recording ID: {transcript.get('recording_id')}")
print(f"Language: {transcript.get('lang_id')}")
print(f"Transcript: {transcript.get('transcript')}")
print(f"Start Time: {transcript.get('start_time')}")
print(f"End Time: {transcript.get('end_time')}")
# Start offset (relative to beginning of audio)
start_offset = transcript.get('start_offset', {})
if start_offset:
print(f"Start Offset: {start_offset.get('hours')}h {start_offset.get('minutes')}m {start_offset.get('seconds')}s")
# End offset (relative to beginning of audio)
end_offset = transcript.get('end_offset', {})
if end_offset:
print(f"End Offset: {end_offset.get('hours')}h {end_offset.get('minutes')}m {end_offset.get('seconds')}s")
print("---")
else:
print(f"Failed to get transcript: {response.status_code}")
print(response.json())
const ambientSessionId = '123dfg-456dfg-789dfg-012dfg';
const response = await fetch(
`https://sdp.suki-stage.com/api/v1/ambient/session/${ambientSessionId}/transcript`,
{
headers: {
'sdp_suki_token': '<sdp_suki_token>',
'sdp_provider_id': '<sdp_provider_id>'
}
}
);
if (response.ok) {
const transcriptData = await response.json();
console.log('Transcript:');
transcriptData.final_transcript?.forEach((transcript: any) => {
console.log(`Transcript ID: ${transcript.transcript_id}`);
console.log(`Recording ID: ${transcript.recording_id}`);
console.log(`Language: ${transcript.lang_id}`);
console.log(`Transcript: ${transcript.transcript}`);
console.log(`Start Time: ${transcript.start_time}`);
console.log(`End Time: ${transcript.end_time}`);
// Start offset (relative to beginning of audio)
if (transcript.start_offset) {
const { hours, minutes, seconds } = transcript.start_offset;
console.log(`Start Offset: ${hours}h ${minutes}m ${seconds}s`);
}
// End offset (relative to beginning of audio)
if (transcript.end_offset) {
const { hours, minutes, seconds } = transcript.end_offset;
console.log(`End Offset: ${hours}h ${minutes}m ${seconds}s`);
}
console.log('---');
});
} else {
const error = await response.json();
console.error(`Failed to get transcript: ${response.status}`, error);
}
Authorizations
Suki access token (suki_token) from Login or Register. Expires after one hour.
Headers
Optional for standard partners.
Required for:
- Bearer authentication. Use the same
provider_idreturned by the Login or Register API. - Single Auth Token authentication. Include the same
provider_idon every request assdp_provider_id.
Example:
"provider-123"
Path Parameters
UUID for the ambient session. Use the ambient_session_id returned from Create Ambient Session, or the UUID you supplied in that request.
Response
Request succeeded.
Response body for the /session/{ambient_session_id}/transcript endpoint
Collection of transcripts for the ambient session
Show child attributes
Show child attributes
Last modified on July 23, 2026
Was this page helpful?
⌘I
cURL
